# Method Nettle.BlockCipher16()->EAX.State()->digest_size()

Method digest_size

  ``int(1..16)` digest_size()`

Description

  Default digest size.

  This function is used by digest() to determine the digest size if no argument was given.

Returns

  The default implementation returns the result from calling `EAX::digest_size()`, but overloading via inherit is supported, and may return any even number in the range `[1..16]`.

See also

  digest(), `EAX::digest_size()`